$(document).ready(function()
{
    $.setAjaxForm('#WIPForm');

    $(document).on('click', '#unlimited', function()
    {
        if($(this).prop('checked'))
        {
            $(this).parents('td').find('input[name^=limit]').val('');
            $(this).parents('td').find('input[name^=limit]').attr('readonly', true);
        }
        else
        {
            $(this).parents('td').find('input[name^=limit]').removeAttr('readonly');
        }
    });
})
